Subject: Re: [PATCH -next 1/1] net: skbuff: fix compile error in skb_panic()

From: Jean Sacren <[email-masked]>
Date: Wed, 13 Feb 2013 12:43:07 -0700

From: James Hogan <[email-masked]>
Date: Wed, 13 Feb 2013 11:20:27 +0000
>
> I get the following build error on next-20130213 due to the following
> commit:
> 
> commit f05de73bf82fbbc00265c06d12efb7273f7dc54a ("skbuff: create
> skb_panic() function and its wrappers").
> 
> It adds an argument called panic to a function that uses the BUG() macro
> which tries to call panic, but the argument masks the panic() function
> declaration, resulting in the following error (gcc 4.2.4):
> 
> net/core/skbuff.c In function 'skb_panic':
> net/core/skbuff.c +126 : error: called object 'panic' is not a function
> 
> This is fixed by renaming the argument to msg.
> 
> Signed-off-by: James Hogan <[email-masked]>

Thanks, James.

I'm sorry I introduced this bug. Shame on me.

-- 
Jean Sacren